//
//  M A G N E T O
// ===============
// Datei         : Tasten.h
// Funktion      : Tastenabfragen und verwalten.
//				   Hardwaremig ber 74165.
//


#ifndef TASTEN_H_
#define TASTEN_H_

#define T_165_DATEN					DDB0	// 74165 Eingang fr Taster Muster.
#define T_165_CLK					DDB1	// Clock Signal fr 74165 zum Taster einlesen.
#define T_165_SHIFT					DDB2	// Shift Signal fr 74165 zum Taster einlesen.


#define T_CLOCK_HIGH				(PORTB |= (1<<T_165_CLK))
#define T_CLOCK_LOW					(PORTB &= ~(1<<T_165_CLK))

#define T_SHIFT_HIGH				(PORTB |= (1<<T_165_SHIFT))
#define T_SHIFT_LOW					(PORTB &= ~(1<<T_165_SHIFT))

void LED_T_freie_Fahrt_EIN(void);
void LED_T_freie_Fahrt_AUS(void);
void LED_T_Programmieren_EIN(void);
void LED_T_Programmieren_AUS(void);
void LED_T_Automatik_EIN(void);
void LED_T_Automatik_AUS(void);

extern char Tasten_Code;


#endif /* TASTEN_H_ */